package javax.xml.bind;

import java.util.Calendar;
import javax.xml.namespace.QName;
import javax.xml.namespace.NamespaceContext;
import java.math.BigDecimal;
import java.math.BigInteger;

public interface DatatypeConverterInterface
{
    public abstract String parseString(String p0);
    
    public abstract BigInteger parseInteger(String p0);
    
    public abstract int parseInt(String p0);
    
    public abstract long parseLong(String p0);
    
    public abstract short parseShort(String p0);
    
    public abstract BigDecimal parseDecimal(String p0);
    
    public abstract float parseFloat(String p0);
    
    public abstract double parseDouble(String p0);
    
    public abstract boolean parseBoolean(String p0);
    
    public abstract byte parseByte(String p0);
    
    public abstract QName parseQName(String p0, NamespaceContext p1);
    
    public abstract Calendar parseDateTime(String p0);
    
    public abstract byte[] parseBase64Binary(String p0);
    
    public abstract byte[] parseHexBinary(String p0);
    
    public abstract long parseUnsignedInt(String p0);
    
    public abstract int parseUnsignedShort(String p0);
    
    public abstract Calendar parseTime(String p0);
    
    public abstract Calendar parseDate(String p0);
    
    public abstract String parseAnySimpleType(String p0);
    
    public abstract String printString(String p0);
    
    public abstract String printInteger(BigInteger p0);
    
    public abstract String printInt(int p0);
    
    public abstract String printLong(long p0);
    
    public abstract String printShort(short p0);
    
    public abstract String printDecimal(BigDecimal p0);
    
    public abstract String printFloat(float p0);
    
    public abstract String printDouble(double p0);
    
    public abstract String printBoolean(boolean p0);
    
    public abstract String printByte(byte p0);
    
    public abstract String printQName(QName p0, NamespaceContext p1);
    
    public abstract String printDateTime(Calendar p0);
    
    public abstract String printBase64Binary(byte[] p0);
    
    public abstract String printHexBinary(byte[] p0);
    
    public abstract String printUnsignedInt(long p0);
    
    public abstract String printUnsignedShort(int p0);
    
    public abstract String printTime(Calendar p0);
    
    public abstract String printDate(Calendar p0);
    
    public abstract String printAnySimpleType(String p0);
}
